
public class Class434 {

   Class253 aClass253_5417;
   public int anInt5418 = 0;
   Class253 aClass253_5419;
   public int anInt5420 = 0;
   Class564 aClass564_5421 = new Class564(64);
   static final int anInt5422 = 1;
   static final int anInt5423 = 32768;
   Interface52 anInterface52_5424 = null;


   public Class225_Sub14_Sub5 method7327(int var1) {
      Class225_Sub14_Sub5 var2 = (Class225_Sub14_Sub5)this.aClass564_5421.method11959((long)var1);
      if(var2 != null) {
         return var2;
      } else {
         byte[] var3;
         if(var1 >= '\u8000') {
            var3 = this.aClass253_5419.method4547(1, var1 & 32767, (byte)2);
         } else {
            var3 = this.aClass253_5417.method4547(1, var1, (byte)15);
         }

         var2 = new Class225_Sub14_Sub5();
         var2.aClass434_10047 = this;
         if(var3 != null) {
            var2.method15604(new RS2Buffer(var3), (byte)-14);
         }

         if(var1 >= '\u8000') {
            var2.method15613(-1600041800);
         }

         this.aClass564_5421.method11958(var2, (long)var1);
         return var2;
      }
   }

   public Class225_Sub14_Sub5 method7328(int var1, int var2) {
      Class225_Sub14_Sub5 var3 = (Class225_Sub14_Sub5)this.aClass564_5421.method11959((long)var1);
      if(var3 != null) {
         return var3;
      } else {
         byte[] var4;
         if(var1 >= '\u8000') {
            var4 = this.aClass253_5419.method4547(1, var1 & 32767, (byte)-116);
         } else {
            var4 = this.aClass253_5417.method4547(1, var1, (byte)-112);
         }

         var3 = new Class225_Sub14_Sub5();
         var3.aClass434_10047 = this;
         if(var4 != null) {
            var3.method15604(new RS2Buffer(var4), (byte)-125);
         }

         if(var1 >= '\u8000') {
            var3.method15613(-204282295);
         }

         this.aClass564_5421.method11958(var3, (long)var1);
         return var3;
      }
   }

   String method7329(Class527 var1, int[] var2, long var3) {
      if(null != this.anInterface52_5424) {
         String var5 = this.anInterface52_5424.method276(var1, var2, var3);
         if(null != var5) {
            return var5;
         }
      }

      return Long.toString(var3);
   }

   public Class225_Sub14_Sub5 method7330(int var1) {
      Class225_Sub14_Sub5 var2 = (Class225_Sub14_Sub5)this.aClass564_5421.method11959((long)var1);
      if(var2 != null) {
         return var2;
      } else {
         byte[] var3;
         if(var1 >= '\u8000') {
            var3 = this.aClass253_5419.method4547(1, var1 & 32767, (byte)-28);
         } else {
            var3 = this.aClass253_5417.method4547(1, var1, (byte)-34);
         }

         var2 = new Class225_Sub14_Sub5();
         var2.aClass434_10047 = this;
         if(var3 != null) {
            var2.method15604(new RS2Buffer(var3), (byte)-60);
         }

         if(var1 >= '\u8000') {
            var2.method15613(-1904796905);
         }

         this.aClass564_5421.method11958(var2, (long)var1);
         return var2;
      }
   }

   String method7331(Class527 var1, int[] var2, long var3) {
      if(null != this.anInterface52_5424) {
         String var5 = this.anInterface52_5424.method276(var1, var2, var3);
         if(null != var5) {
            return var5;
         }
      }

      return Long.toString(var3);
   }

   public Class225_Sub14_Sub5 method7332(int var1) {
      Class225_Sub14_Sub5 var2 = (Class225_Sub14_Sub5)this.aClass564_5421.method11959((long)var1);
      if(var2 != null) {
         return var2;
      } else {
         byte[] var3;
         if(var1 >= '\u8000') {
            var3 = this.aClass253_5419.method4547(1, var1 & 32767, (byte)14);
         } else {
            var3 = this.aClass253_5417.method4547(1, var1, (byte)-18);
         }

         var2 = new Class225_Sub14_Sub5();
         var2.aClass434_10047 = this;
         if(var3 != null) {
            var2.method15604(new RS2Buffer(var3), (byte)-82);
         }

         if(var1 >= '\u8000') {
            var2.method15613(-1498055674);
         }

         this.aClass564_5421.method11958(var2, (long)var1);
         return var2;
      }
   }

   public Class434(Class470 var1, Class253 var2, Class253 var3, Interface52 var4) {
      this.aClass253_5417 = var2;
      this.aClass253_5419 = var3;
      this.anInterface52_5424 = var4;
      if(this.aClass253_5417 != null) {
         this.anInt5418 = this.aClass253_5417.method4514(1, 553753519) * 1582532925;
      }

      if(null != this.aClass253_5419) {
         this.anInt5420 = this.aClass253_5419.method4514(1, -281775245) * -509350861;
      }

   }

   static final void method7333(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, -1410885746);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class540.method11365(var3, var4, var0, 2049134815);
   }

   public static Class253 method7334(Class109 var0, boolean var1, int var2, boolean var3, byte var4) {
      if(Class1.aClass250_Sub1Array13 == null) {
         Class1.aClass250_Sub1Array13 = new Class250_Sub1[Class173.method3047((byte)0)];
      }

      Class218 var5 = null;
      int var6 = var0.method2179((short)-30213);
      if(client.aClass452_3312 != null && !Class256.aBool3035) {
         var5 = new Class218(var6, client.aClass452_3312, Class107.aClass452Array1041[var6], 1500000);
      }

      Class1.aClass250_Sub1Array13[var6] = Class365.aClass338_4604.method6220(var6, var5, Class169.aClass218_2049, -1616839051);
      Class1.aClass250_Sub1Array13[var6].method14344(-1339545970);
      return new Class253(Class1.aClass250_Sub1Array13[var6], var1, var2);
   }

   static String method7335(Class124 var0, int var1, int var2) {
      return !client.method12284(var0).method14236(var1, (byte)-70) && null == var0.anObjectArray1534?null:(null != var0.aStringArray1456 && var0.aStringArray1456.length > var1 && var0.aStringArray1456[var1] != null && var0.aStringArray1456[var1].trim().length() != 0?var0.aStringArray1456[var1]:(client.aBool7660?"Hidden-" + var1:null));
   }

   public static boolean method7336(int var0, int var1) {
      return 15 == var0 || var0 == 3 || var0 == 18 || var0 == 10;
   }
}
